extends Camera3D

const SENSITIVITY = 0.01

func _input(event: InputEvent) -> void:
	if Input.is_action_pressed("drag_camera") and event is InputEventMouseMotion:
		global_position -= global_basis.x * event.relative.x * SENSITIVITY
		global_position += global_basis.y * event.relative.y * SENSITIVITY
